Skip to main content

Delete a deposit refund account number

DELETEhttps://api.propexo.com/v1/deposit-summaries/yardi/deposit-refund-account-number/:deposit_refund_account_number_id

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

deposit_refund_account_number_id stringrequired

The ID of the deposit refund account number to delete

Request​

This endpoint expects an object.

    order-bystring

    Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

    Default value: created_at:desc
    updated_at_gtestring | nullnullable

    Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

    updated_at_ltestring | nullnullable

    Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

    last_seen_gtestring | nullnullable

    Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

    last_seen_ltestring | nullnullable

    Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

    offsetinteger | nullnullable

    Can be used for paginating results

    Possible values: >= 0

    Default value: 0
    limitinteger | nullnullable

    A number between 1 and 250 to determine the number of results to return in a single query

    Possible values: >= 0 and <= 250

    Default value: 100

Response​

Successful response

    result objectrequired
    idstringrequired

    The ID of the deposit refund account number that was deleted

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
DELETE /v1/deposit-summaries/yardi/deposit-refund-account-number/:deposit_refund_account_number_id
curl -X DELETE https://api.propexo.com/v1/deposit-summaries/yardi/deposit-refund-account-number/:deposit_refund_account_number_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"order-by": "created_at:desc",
"updated_at_gte": "string",
"updated_at_lte": "string",
"last_seen_gte": "string",
"last_seen_lte": "string",
"offset": 0,
"limit": 100
}'
200 Successful response
{
"result": {
"id": "string"
}
}